Source-Changes-HG archive
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]
[src/trunk]: src/tools/make nbmake bootstrap: if MAKEVERBOSE < 2, output simi...
details: https://anonhg.NetBSD.org/src/rev/89180f42239e
branches: trunk
changeset: 972889:89180f42239e
user: lukem <lukem%NetBSD.org@localhost>
date: Sat Jun 13 11:28:24 2020 +0000
description:
nbmake bootstrap: if MAKEVERBOSE < 2, output similar to <bsd.own.mk>
diffstat:
tools/make/buildmake.sh.in | 15 ++++++++++-----
1 files changed, 10 insertions(+), 5 deletions(-)
diffs (32 lines):
diff -r 921f6ed1b886 -r 89180f42239e tools/make/buildmake.sh.in
--- a/tools/make/buildmake.sh.in Sat Jun 13 10:49:17 2020 +0000
+++ b/tools/make/buildmake.sh.in Sat Jun 13 11:28:24 2020 +0000
@@ -1,5 +1,5 @@
#! /bin/sh
-# $NetBSD: buildmake.sh.in,v 1.12 2018/01/16 08:53:51 uwe Exp $
+# $NetBSD: buildmake.sh.in,v 1.13 2020/06/13 11:28:24 lukem Exp $
#
# buildmake.sh.in - Autoconf-processed shell script for building make(1).
#
@@ -17,12 +17,17 @@
_LDFLAGS="@LDFLAGS@ @LIBS@"
docmd () {
- echo "$1"
- $1 || exit 1
+ if [ ${MAKEVERBOSE:-2} -lt 2 ]; then
+ echo " $1 ${2##*/}"
+ else
+ echo "$3"
+ fi
+ $3 || exit 1
}
for f in $MKSRCDIR/*.c $MKSRCDIR/lst.lib/*.c; do
- docmd "${_CC} ${_CFLAGS} -c $f"
+ docmd "compile " "$f" "${_CC} ${_CFLAGS} -c $f"
done
-docmd "${_CC} -o ${_TOOL_PREFIX:-nb}make *.o ${_LDFLAGS}"
+docmd " link " "${_TOOL_PREFIX:-nb}make" \
+ "${_CC} -o ${_TOOL_PREFIX:-nb}make *.o ${_LDFLAGS}"
Home |
Main Index |
Thread Index |
Old Index